//PluginGUI
//by:	I.Robinson, PassMark Software
//date: 3/11/2009
//
//Purpose:
//	BurnInTest Plugin GUI
//
//History:
//v1.0 1000: I.Robinson 3/11/2009
//- First version

//#include "PluginTestInterface.h"

#define PROGRAM_NAME		"PluginGUI"
#define PROGRAM_VERSION		"V1.0" 
#define PROGRAM_BUILD		"1000"

#define			MAXDIRNAME		300
#define			MAXFILENAME		100
#define			MAX_WIN_TITLE	150		//Num of chars for Test window titles
#define			MAXDATAFILESIZE	1000000	//Num of chars for Data file


//
//Timeout multipliers
//
#define	TIMEOUT_READINTERVAL	300		//ms
#define	TIMEOUT_READPERCHAR		5		//ms
#define	TIMEOUT_READCONST		1000	//ms
#define	TIMEOUT_WRITEPERCHAR	5		//ms
#define	TIMEOUT_WRITECONST		1000	//ms

#define	VSHORT_STRING_LEN		16		//Size of a generic very short string
#define	SHORT_STRING_LEN		64		//Size of a generic short string
#define	LONG_STRING_LEN			256		//Size of a generic long string
#define	VLONG_STRING_LEN		1024	//Size of a generic very long string



//
//Global vars
//
#if defined (MAIN_MODULE) 
	HWND		main_hwnd;			//Main window
	HINSTANCE	hInstance;
	char	fullpath[MAXFILENAME + MAXDIRNAME];	//Work area, temp var
	char	dirname[MAXFILENAME + MAXDIRNAME];	//Work area, temp var
	int		crit1;			
	int		crit2;
	char	win_title[MAX_WIN_TITLE];
#else
	extern HWND			main_hwnd;
	extern HINSTANCE	hInstance;
	extern char	fullpath[];
	extern char	dirname[];
	extern int	crit1;
	extern int	crit2;
	extern LARGE_INTEGER	counter_freq;
	extern char	win_title[MAX_WIN_TITLE];
#endif

//
//Function prototypes
//
BOOL CenterWindow (HWND hwndChild, HWND hwndParent);
bool ParseCommandLine (char *config_filename);


